#ifndef _Gray_H
#define _Gray_H

#include "Prefix.h"

namespace EARTH {

class Gray {
	public:
	static uint32 ToBinary(uint32 gray, uint32 bit)
	{
		uint32 binary = 0;

		for (uint32 i=0; i<bit; i++) {
			uint32 k = 0;
			for (uint32 j=i; j<bit; j++) {
				k = k ^ BIT_SHIFT_MASK(gray, j, 1);
			}
			binary |= k << i;
		}

		return binary;
	}
};
}

#endif
