#ifndef _FPGA_Status_H
#define _FPGA_Status_H

#include "Prefix.h"
#include "FPGA_Register.h"
#include "EARTH_PT3.h"

namespace EARTH {
namespace FPGA {
	class Register;

	class Status {
	public:
		Status(FPGA::Register *register_) : mRegister(register_)
		{
			_ASSERT(mRegister);
		}

		~Status()
		{
		}

	protected:
		FPGA::Register *const mRegister;
	};
}
}

#endif
