#ifndef _PCI_H
#define _PCI_H

#include "Prefix2.h"

namespace EARTH {
namespace PCI {
	struct Target {
		uint32	Bus,
				Slot,
				Function;
	};

	class Bus;
	class Device;
	class Memory;

	class Top {
	public:
		virtual ~Top() {}
		virtual status Init() = 0;
		virtual Bus *Bus() const = 0;
		virtual status NewDeviceMemory(const Target *target, Device **device, Memory **memory) = 0;
	};
}
}

#endif
